slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPMonitorAll

Print the current approximate values and error estimates at each iteration of the nonlinear eigensolver.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPMonitorAll(NEP nep,PetscInt its,PetscInt nconv,PetscScalar *eigr,PetscScalar *eigi,PetscReal *errest,PetscInt nest,PetscViewerAndFormat *vf)

Collective

### Input Parameters

| nep | - nonlinear eigensolver context
| its | - iteration number
| nconv | - number of converged eigenpairs so far
| eigr | - real part of the eigenvalues
| eigi | - imaginary part of the eigenvalues
| errest | - error estimates
| nest | - number of error estimates to display
| vf | - viewer and format for monitoring

### Options Database Key

| -nep_monitor_all | - activates NEPMonitorAll()

### See Also

NEPMonitorSet(), NEPMonitorFirst(), NEPMonitorConverged()

### Level

intermediate

### Location

src/nep/interface/nepmon.c
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages